/*
 *
 *
 *    conios.h
 *
 *    C++ header file for class 'my::conios.'
 *
 *    =========================================================================
 *
 *    Copyright (C) 2001-2003 by Matt Roberts, KK5JY.
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    =========================================================================
 *
 *
 */


#ifndef __CONIOS_H
#define __CONIOS_H

#include <my++/termios.h>

	namespace my {

		/*
		 *
		 *
		 *   class conios
		 *
		 *
		 */

		class conios : public my::termios {
			private:
				void init (void);

			public: // public [cd]tors
				conios (void) { init(); };
				conios (const my::conios &c) : my::termios((const my::termios &)(c)) { /* noop */ };
				conios (const my::termios &c) : my::termios(c) { /* noop */ };
		};
	}

#endif /* __CONIOS_H */
